@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.collection {
  margin-top: 2em;
  padding: 1em;
  @include responsive(tablet) {
    display: flex;
    align-items: center;
  }

  &__description {
    display: flex;
    flex-direction: column;
  }

  @include responsive(tablet) {
    &__description {
      display: block;
    }
  }

  &__image {
    display: block;
    width: 200px;
    height: 200px;
    margin-left: auto;
    margin-right: auto;
    box-shadow: var(--shadow-1);
    margin-bottom: 1em;
  }

  @include responsive(tablet) {
    &__image {
      width: 250px;
      height: 250px;
      margin: 0;
      margin-right: 2em;
    }
  }

  &__type {
    display: none;
  }

  @include responsive(tablet) {
    &__type {
      font-size: 0.9rem;
      display: inline;
      text-transform: uppercase;
      font-weight: 600;
      margin: 0;
    }
  }

  &__title {
    margin: 0;
    margin-bottom: 10px;
    font-weight: 600;
    font-size: 1.5rem;
  }

  @include responsive(tablet) {
    &__title {
      font-size: 3rem;
    }
  }

  @include responsive(laptop) {
    &__title {
      font-size: 5rem;
    }
  }

  @include responsive(tablet) {
    &__album {
      display: flex;
      align-items: center;
    }
  }
}

.artist {
  display: flex;
  align-items: center;
  margin: 0;
  margin-bottom: 10px;
  @include responsive(tablet) {
    margin: 0;
    margin-right: 1em;
  }

  &__image {
    width: 30px;
    border-radius: 100%;
    margin-right: 0.5em;
  }
  &__name {
    font-weight: 600;
    font-size: 14px;
  }
}

.span {
  margin: 0;
  font-size: 0.8rem;
  font-weight: lighter;

  &--description {
    font-size: 1rem;
  }
}
